Skip to main content
`Ctrl`+`K`

# numpy.random.MT19937.jumped

method

random.MT19937.jumped(jumps=1)

  Returns a new bit generator with the state jumped

  The state of the returned bit generator is jumped as-if 2**(128 * jumps) random numbers have been generated.

  Parameters:
    jumps integer, positive

      Number of times to jump the state of the bit generator returned

  Returns:
    bit_generator MT19937

      New instance of generator jumped iter times

  Notes

  The jump step is computed using a modified version of Matsumoto’s implementation of Horner’s method. The step polynomial is precomputed to perform 2**128 steps. The jumped state has been verified to match the state produced using Matsumoto’s original code.

  References

  [1]

  Matsumoto, M, Generating multiple disjoint streams of pseudorandom number sequences. Accessed on: May 6, 2020. http://www.math.sci.hiroshima-u.ac.jp/m-mat/MT/JUMP/

  [2]

  Hiroshi Haramoto, Makoto Matsumoto, Takuji Nishimura, François Panneton, Pierre L’Ecuyer, “Efficient Jump Ahead for F2-Linear Random Number Generators”, INFORMS JOURNAL ON COMPUTING, Vol. 20, No. 3, Summer 2008, pp. 385-390.